> ## Documentation Index
> Fetch the complete documentation index at: https://developer.portable.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get flow status

> Get a flow's status by flow ID. Use this endpoint to check whether a flow is running or not, or get details about the flow's last run.
The response includes the flow's lifecycle status, disposition, and the status of the resources involved in the




## OpenAPI

````yaml get /v2/flows/{id}/status
openapi: 3.1.0
info:
  title: The Portable API
  description: This API allows you to interact with the Portable platform.
  version: 0.0.1
servers:
  - url: https://api.portable.io
security:
  - bearerAuth: []
paths:
  /v2/flows/{id}/status:
    parameters:
      - name: id
        in: path
        description: ID of the flow
        required: true
        schema:
          $ref: '#/components/schemas/id'
        example:
          - value: 568971
    get:
      tags:
        - Flows
      summary: Get flow status
      description: >
        Get a flow's status by flow ID. Use this endpoint to check whether a
        flow is running or not, or get details about the flow's last run.

        The response includes the flow's lifecycle status, disposition, and the
        status of the resources involved in the
      operationId: getFlowStatus
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowStatus'
              example:
                id: 568971
                lifecycle: NOT_RUNNING
                disposition: SUCCEEDED
                resources: null
                errors: null
                completedAt: 2023‐06‐12T20:03:00Z
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  schemas:
    id:
      type: integer
      format: int
      examples:
        - 568971
    FlowStatus:
      allOf:
        - type: object
          readOnly: true
          properties:
            id:
              type: integer
              format: int
              readOnly: true
              description: The ID of the flow
              x-go-type-skip-optional-pointer: true
              x-order: 1
        - $ref: '#/components/schemas/FlowStatusEmbeddable'
      readOnly: true
      required:
        - id
    FlowStatusEmbeddable:
      type: object
      properties:
        lifecycle:
          type: string
          description: The lifecycle status of the flow
          enum:
            - PENDING
            - RUNNING
            - NOT_RUNNING
          x-go-type-skip-optional-pointer: true
          x-order: 2
        disposition:
          type: string
          description: The disposition of the flow
          enum:
            - SUCCEEDED
            - FAILED
            - NONE
          x-go-type-skip-optional-pointer: true
          x-order: 3
        resources:
          type: array
          items:
            $ref: '#/components/schemas/ResolverStatus'
          x-order: 4
          x-go-type-skip-optional-pointer: true
          x-go-type: '[]*native.ResourceSummary'
        errors:
          type: array
          items:
            type: string
          description: The errors that occurred during the flow's execution
          x-order: 5
        completedAt:
          type: string
          format: date-time
          description: >
            The timestamp marking when the execution of the flow was last
            completed. It will be set to `null` either if the flow is actively
            running or has never been initiated.
          x-order: 6
      readOnly: true
    ResolverStatus:
      type: object
      required:
        - name
        - extracted
        - analyzed
        - loaded
        - errors
      properties:
        name:
          type: string
          description: The name of the resource
          x-order: 1
        extracted:
          type: integer
          description: The number of records extracted from this resource
          x-order: 2
        analyzed:
          type: integer
          description: The number of records analyzed by this resource
          x-order: 3
        loaded:
          type: integer
          description: The number of records loaded by this resource
          x-order: 4
        errors:
          type: array
          items:
            type: string
          description: The errors that occurred during the handling of this resource
          x-order: 5
      x-go-type: native.ResourceSummary
  responses:
    UnauthorizedError:
      description: Unauthorized - No valid API key provided.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Unauthorized
    ForbiddenError:
      description: Forbidden - You don't have enough permissions to access this resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Your current plan does not support this feature
    NotFoundError:
      description: Not Found - The requested resource does not exist.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````